
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BZOJ.1468.Tree(点分治) / 憋错料</title>

    <meta name="description" content="BZOJ.1468.Tree(点分治) 题目链接 BZOJ1468 POJ1741 题意: 计算树上距离&lt;=K的点对数 我们知道树上一条路径要么经过根节点,要么在同一棵子树中. 于是对一个点x我们可以这样统计: 计算出所有点到它的距离dep[],排序后可以O(n)求得&lt;=K的点对数量. 但画个图后我们可以发现,对于在同一棵子树中的路径被重复计算过了.于是我们Ans-=Calc(v),减去一棵子树中的路径答案,但是这并不是之前x到它们的路径,于是给v的dep[]设一个初始值为w(x-&gt;v路径权值). 这样x的答案就计算 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">BZOJ.1468.Tree(点分治)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong><a href="http://www.lydsy.com/JudgeOnline/problem.php?id=1468" rel="external nofollow noreferrer">题目链接 BZOJ1468</a></strong><br />
<strong><a href="http://poj.org/problem?id=1741" rel="external nofollow noreferrer">POJ1741</a></strong></p>
<p>题意: 计算树上距离&lt;=K的点对数</p>
<p>我们知道树上一条路径要么经过根节点，要么在同一棵子树中。<br />
于是对一个点x我们可以这样统计: 计算出所有点到它的距离dep[]，排序后可以O(n)求得&lt;=K的点对数量。<br />
但画个图后我们可以发现，对于在同一棵子树中的路径被重复计算过了。于是我们Ans-=Calc(v)，减去一棵子树中的路径答案，但是这并不是之前x到它们的路径，于是给v的dep[]设一个初始值为w(x-&gt;v路径权值)。<br />
这样x的答案就计算完了，将这一过程记作Solve(x)。<br />
考虑如何计算所有点。DFS的效率是和树深有关的。计算x-&gt;v时，我们选取v子树上的重心作为下次Solve()的参数。<br />
选取重心每次都会使树的节点个数减半，因此递归深度最坏(链)是logn的。<br />
这样便可O(nlog^2n)解决该题。</p>
<pre><code>//2524kb    656ms
#include &lt;cstdio&gt;
#include &lt;cctype&gt;
#include &lt;algorithm&gt;
//#define gc() getchar()
#define gc() (SS==TT&amp;&amp;(TT=(SS=IN)+fread(IN,1,MAXIN,stdin),SS==TT)?EOF:*SS++)
const int N=40005,MAXIN=1e5;

int n,K,root,Min,Ans,Enum,H[N],nxt[N&lt;&lt;1],to[N&lt;&lt;1],val[N&lt;&lt;1],dep[N],sz[N],D[N];
bool vis[N];
char IN[MAXIN],*SS=IN,*TT=IN;

inline int read()
{
    int now=0;register char c=gc();
    for(;!isdigit(c);c=gc());
    for(;isdigit(c);now=now*10+c-&#039;0&#039;,c=gc());
    return now;
}
inline void AddEdge(int u,int v,int w)
{
    to[++Enum]=v, nxt[Enum]=H[u], H[u]=Enum, val[Enum]=w;
    to[++Enum]=u, nxt[Enum]=H[v], H[v]=Enum, val[Enum]=w;
}
void Get_Root(int x,int f,int tot)
{
    int mx=0; sz[x]=1;
    for(int v,i=H[x]; i; i=nxt[i])
        if(!vis[to[i]] &amp;&amp; to[i]!=f)
        {
            Get_Root(v=to[i],x,tot), sz[x]+=sz[v];
            if(sz[v]&gt;mx) mx=sz[v];
        }
    mx=std::max(mx,tot-sz[x]);
    if(mx&lt;Min) Min=mx, root=x;
}
void DFS(int x,int f)
{
    D[++D[0]]=dep[x];
    for(int i=H[x]; i; i=nxt[i])
        if(!vis[to[i]]&amp;&amp;to[i]!=f)
            dep[to[i]]=dep[x]+val[i], DFS(to[i],x);
}
int Calc(int x,int v)
{
    D[0]=0, dep[x]=v, DFS(x,-1);
    std::sort(D+1,D+1+D[0]);
    int l=1,r=D[0],res=0;
    while(l&lt;r)
        if(D[l]+D[r]&lt;=K) res+=r-l,++l;
        else --r;
    return res;
}
void Solve(int x)
{
    Ans+=Calc(x,0), vis[x]=1;
    for(int v,i=H[x]; i; i=nxt[i])
        if(!vis[to[i]])
        {
            Ans-=Calc(v=to[i],val[i]);
            Min=N, Get_Root(v,x,sz[v]), Solve(root);
        }
}

int main()
{
    n=read();
    for(int u,v,w,i=1; i&lt;n; ++i) u=read(),v=read(),w=read(),AddEdge(u,v,w);
    K=read();
    Min=N, Get_Root(1,-1,n), Solve(root);
    printf(&quot;%d&quot;,Ans);

    return 0;
}</code></pre>

<p>原文地址：https://www.cnblogs.com/SovietPower/p/8588248.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 20:10:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/char/" title="char">char</a>, <a href="https://www.biecuoliao.com/tag/class/" title="class">class</a>, <a href="https://www.biecuoliao.com/tag/line/" title="line">line</a>, <a href="https://www.biecuoliao.com/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%a1%e7%ae%97/" title="计算">计算</a>, <a href="https://www.biecuoliao.com/tag/nlog/" title="nlog">nlog</a>, <a href="https://www.biecuoliao.com/tag/%e6%b7%b1%e5%ba%a6/" title="深度">深度</a>, <a href="https://www.biecuoliao.com/tag/tchar/" title="tchar">tchar</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>BZOJ.1468.Tree(点分治)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QqzPw4.html" rel="bookmark">bzoj 1468 Tree&lpar;点分治模板&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1468: Tree Time Limit: 10 Sec  Memory Limit: 64 MBSubmit: 1527  Solved: 818[Submit][Status][Discuss] Description 给你一棵TREE,以及这棵树上边的距离.问有多少对点它们两者间的距离小于等于K Input N(n&lt;=40000) 接下来n-1行边描述管道,按照题目中写的输入 接下来是k Output 一行,有多少对点之间的距离小于等于k Sample Input 7 1 6 13 6			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nvN6X0.html" rel="bookmark">&lbrack;bzoj 1468&rsqb; Tree</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传送门:http://www.lydsy.com/JudgeOnline/problem.php?id=1468 Tree Time Limit: 10 Sec  Memory Limit: 64 MBSubmit: 1517  Solved: 812[Submit][Status][Discuss] Description 给你一棵TREE,以及这棵树上边的距离.问有多少对点它们两者间的距离小于等于K Input N(n&lt;=40000) 接下来n-1行边描述管道,按照题目中写的输入 接下来是k			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02allpM.html" rel="bookmark">BZOJ 1468 Tree 【模板】树上点分治</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 #include&lt;cstdio&gt; 2 #include&lt;algorithm&gt; 3 #define N 50010 4 #define M 500010 5 #define rg register 6 #define LL long long 7 using namespace std; 8 int n,m,cnt,root,tot,totnow,totbf; 9 int last[N],size[N],mxsize[N],dep[N],tmp[N],mg[N]; 10 LL a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YWkPw4.html" rel="bookmark">点分治专题&mdash;&mdash;bzoj 1468 &amp;amp&semi;bzoj 2152 题解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[前言]最近一直在忙着学算法,但是效果似乎不是很好.前段时间的树剖也快忘了= =.树套树没熟练,就开始写主席树了= =.更别说本身就不是很懂的莫比乌斯反演了.~~决定好好复习一下. [点分治的作用]套用SYC大神的话说是:用来解决树上路径点权统计问题. [大致流程] ①找出这颗树的重心. ②统计经过这个重心的答案 ③用重心把树割开 ④对每个&quot;小树&quot;做同样的事 [Q1--重心]其实找重心再进行计算只是为了不被卡链.什么是重心?就是当前树中的一个点K,使得MAX(SON[K])最小.SON			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lereW3.html" rel="bookmark">【BZOJ-1468】Tree       树分治</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1468: Tree Time Limit: 10 Sec  Memory Limit: 64 MBSubmit: 1025  Solved: 534[Submit][Status][Discuss] Description 给你一棵TREE,以及这棵树上边的距离.问有多少对点它们两者间的距离小于等于K Input N(n&lt;=40000) 接下来n-1行边描述管道,按照题目中写的输入 接下来是k Output 一行,有多少对点之间的距离小于等于k Sample Input 7 1 6 13 6			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02XLda4.html" rel="bookmark">&lbrack;LeetCode&rsqb; Convert Sorted List to Binary Search Tree（分治）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given a singly linked list where elements are sorted in ascending order, convert it to a height balanced BST. 方法:为了使BST高度平衡,要找链表中的中值作为当前根节点. /** * Definition for singly-linked list. * struct ListNode { * int val; * ListNode *next; * ListNode(int x) :			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mggp6gM.html" rel="bookmark">【BZOJ】1468&colon; Tree（点分治）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.lydsy.com/JudgeOnline/problem.php?id=1468 分治真是一门高大上的东西... 好神... 树分治最好资料是:qzc的&lt;分治算法在树的路径问题中的应用&gt; 我来说说自己的理解: 点分=找重心+分治 找重心尤为重要,因为这关系到时间复杂度. 对于递归式 $$T(n)=aT(n/b)+O(D(n))$$ 这类递归式,如果能保证每一层都是$O(D(n))$,那么时间复杂度会大大减小.(详见算导第三章和第四章) 对于一棵树,如果我们在找到重心后,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vZWjg3.html" rel="bookmark">【BZOJ 1468】Tree 点分治</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				点分治$O(nlogn)$ 坚持到月考结束后新校就剩下我一个OIer,其他人早已停课了,老师估计懒得为我一个人开机房门,让我跟班主任说了一声,今晚就回到了老校,开始了自己都没有想到会来的这么早的停课生活. 所以先水一道点分治 #include&lt;cstdio&gt; #include&lt;algorithm&gt; #define read(x) x=getint() #define N 40003 #define max(a,b) (a)&gt;(b)?(a):(b) using namespac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35ak7o3.html" rel="bookmark">1468&period; Tree【点分治】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Description 给你一棵TREE,以及这棵树上边的距离.问有多少对点它们两者间的距离小于等于K Input N(n&lt;=40000) 接下来n-1行边描述管道,按照题目中写的输入 接下来是k Output 一行,有多少对点之间的距离小于等于k Sample Input 7 1 6 13 6 3 9 3 5 7 4 1 3 2 4 20 4 7 2 10 Sample Output 5 点分治模板 1 #include&lt;iostream&gt; 2 #include&lt;cstring&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNvpB3.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;题解（python）：015-3Sum</a>
					<div>
						题目来源: https://leetcode.com/problems/3sum/ 题意分析: 这道题目是输入一个数组nums.找出所有的3个数使得这3个数之和为0.要求1.输出的3个数按小到大排序, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47plvRM.html" rel="bookmark" class="title">《Spring3&period;X企业应用开发实战》学习笔记--SpringMVC</a>
					<div>
						本篇是&lt;Spring3.X企业应用开发实战&gt;,陈雄华 林开雄著,电子工业出版社,2012.2出版&quot;的学习笔记的第三篇,关于SpringMVC. Spring MVC 3.0和早期 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNqZD3.html" rel="bookmark" class="title">canvas简易画板。</a>
					<div>
						在学canvas的时候,想到可以做一个自己用来画画的简易画板,加上canvas的基础都已经学完,便尝试做了一个画板.如图 1.获取标签. var c=document.getElementById(' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZm1o3.html" rel="bookmark" class="title">Android中Activity的四种启动方式</a>
					<div>
						谈到Activity的启动方式必须要说的是数据结构中的栈.栈是一种只能从一端进入存储数据的线性表,它以先进后出的原则存储数据,先进入的数据压入栈底,后进入的数据在栈顶.需要读取数据的时候就需要从顶部开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/352EQ24.html" rel="bookmark" class="title">ntp server</a>
					<div>
						yum install -y ntp vim /etc/ntp.conf 1.参数讲解 ignore  :关闭所有的 NTP 联机服务 nomodify:客户端不能更改服务端的时间参数,但是客户端可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1yqEM.html" rel="bookmark" class="title">基于框架的应用系统开发的质量属性</a>
					<div>
						基于框架的应用系统开发(以你开发的系统为原型)的质量属性 质量属性分别有: 可用性(Availability)的战术 可用性是指系统正常运行时间的比例,可用性关注的问题有:如何检测故障.发生故障的频度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgZaOO4.html" rel="bookmark" class="title">uva1025 dp</a>
					<div>
						这题说的是给了n个车站 从1号 车站到 n号车站,有m1辆车从1 开往n 有m2 辆车从n 开往1 一个人从1 车站 到达n 车站在T 时刻 要求再 车站呆的时间尽量少 dp[i][j] 表示 在 第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRJAG4.html" rel="bookmark" class="title">MyKTV</a>
					<div>
						namespace MyKTVClient{ public partial class FrmOrderBySinger : Form { private string singerSex = &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8Bk8M.html" rel="bookmark" class="title">sdafasdf</a>
					<div>
						dajklsjdf fasdfsd					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME68Py0.html" rel="bookmark" class="title">android中的文件操作详解以及内部存储和外部存储（转载）</a>
					<div>
						原文链接:http://m.blog.csdn.net/article/details?id=17725989 摘要 其实安卓文件的操作和java在pc环境下的操作并无二致,之所以需要单独讲解是因为安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nyj9Z3.html" rel="bookmark" class="title">Java之Jsoup库：网络爬虫的基本使用</a>
					<div>
						下面以http://news.csdn.net/news.html为爬虫示例网站进行分析,F12查看网页布局,效果如下: 从图中分析知,待扒的单个数据以unit为标签,即一个unit标签对应一个对象. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeWEm0.html" rel="bookmark" class="title">我爱的人</a>
					<div>
						我知道故事不会太曲折 我总会遇见一个什么人 陪我过没有了她的人生 成家立业之类的等等 她做了她觉得对的选择 我只好祝福她真的对了 爱不到我最想要爱的人 谁还能要我怎样呢 我爱的人不是我的爱人 她心里每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Xdg24.html" rel="bookmark" class="title">Sql Server 的服务器类型</a>
					<div>
						Sql Server 提供了四种服务器类型: 如图所示  : 1, 数据库引擎  2, Analysis Services (分析服务 )  3, Reporting  Services (报告服务) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjgVA4.html" rel="bookmark" class="title">探索setTimeout</a>
					<div>
						其实说起JavaScript中的定时器(Timer)中的 setTimeout() 方法,从事开发的同学想必都不会陌生,觉得这些东西很简单很基础.但是有时候恰恰是基础简单的东西,才越容易被忽略.先看一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neX7PM.html" rel="bookmark" class="title">STM32学习及应用笔记一：SysTick定时器学习及应用</a>
					<div>
						这几年一直使用STM32的MCU,对ARM内核的SysTick计时器也经常使用,但几乎没有仔细了解过.最近正好要在移植一个新的操作系统时接触到了这块,据比较深入的了解了一下. 1.SysTick究竟是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpKeY4.html" rel="bookmark" class="title">如何在WordPress文本小工具中使用PHP</a>
					<div>
						只需添加以下代码片段到你当前主题的functions.php文件 1 add_filter('widget_text', 'php_text', 99); 2 function php_text($t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPddL3.html" rel="bookmark" class="title">如何一年看50本好书？</a>
					<div>
						1, 定时每天至少抽出5-10分钟雷打不动的读书时间,这是无论每天发生什么事情都不会受到影响的时间.例如,养成在早餐或午餐时间阅读的习惯,如果你每次坐在马桶上时间读书,在睡觉之前读书,那么你就拥有每天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQZXZM.html" rel="bookmark" class="title">iOS程序生命周期 AppDelegate</a>
					<div>
						iOS的应用程序的生命周期,还有程序是运行在前台还是后台,应用程序各个状态的变换,这些对于开发者来说都是很重要的. iOS系统的资源是有限的,应用程序在前台和在后台的状态是不一样的.在后台时,程序会受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXLow0.html" rel="bookmark" class="title">从决策树到随机森林</a>
					<div>
						这里仅介绍分类决策树. 决策树:特征作为决策的判定标准,整个模型形如树形结构,因此,称之为决策树 对于分类决策树,他们可以认为是一组if-then规则的集合.决策树的每一个内部节点有特征组成,叶子节点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jaQy9M.html" rel="bookmark" class="title">Linux系统下动态库的生成</a>
					<div>
						Linux系统下动态库的生成 一.简述 Linux下动态库文件的扩展名为 &quot;.so&quot;(Shared Object).按照约定,所有动态库文件名的形式是libname.so(可能在名 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
